.PHONY: build clean test release

BIN_DIR=bin
APP_NAME=hello-api
VERSION=1.0.0

build:
	mkdir -p $(BIN_DIR)
	go build -o $(BIN_DIR)/$(APP_NAME)-$(VERSION) main.go

clean:
	rm -rf $(BIN_DIR)

test:
	go test -v ./...

# Задача для создания релиза
# Использование: make release VERSION=1.0.25
release:
	# @if [ -z "$(VERSION)" ]; then \
	# 	echo "Ошибка: Необходимо указать версию"; \
	# 	echo "Использование: make release VERSION=1.0.25"; \
	# 	exit 1; \
	# fi
	@./scripts/release-interactive.sh $(VERSION)